<template>
  <div class="carts" v-if="$store.getters.getVideos.length !== 0">
    <div
      v-for="video in $store.getters.getVideos"
      :key="video.id"
      class="carts__allwrap"
    >
      <div class="carts__discrip">
        <img src="../../assets/user.svg" alt="user" class="carts__user" />
        <p>User name</p>
      </div>
      <div class="carts__video">
        <iframe
          width="253"
          height="452"
          controls
          :src="video.link"
          frameborder="0"
          allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture"
          allowfullscreen
          style="border-radius: 5px"
        >
        </iframe>
      </div>
      <div class="carts__like">
        <button
          type="button"
          @click="counterHandler(video)"
          class="carts__Blike"
        ></button>
        <p class="carts__counter">{{ video.counter }}</p>
      </div>
    </div>
  </div>
  <div v-else>Видео отсутвует</div>
</template>

<script>
export default {
  methods: {
    counterHandler(video) {
      if (video.clicked) {
        video.clicked = false;
        video.counter--;
      } else {
        video.clicked = true;
        video.counter++;
      }
    },
  },
};
</script>

<style lang="scss">
.carts {
  margin-top: 20px;
  background-color: #fff;
  width: 692px;
  height: 548px;

  &__user {
    width: 56px;
    height: 56px;
  }
  &__like {
    position: absolute;
    width: 50px;
    height: 80px;
    top: 425px;
    left: 340px;
    box-sizing: border-box;
  }
  &__Blike {
    background-image: url("../../assets/like.svg");
    width: 40px;
    height: 40px;
    border: none;
    border-radius: 10px;
    margin: 5px;
  }
  &__counter {
    color: teal;
  }
  &__allwrap {
    position: relative;
    padding-bottom: 15px;
    margin-bottom: 20px;
    border-bottom: 0.5px solid rgba(22, 24, 35, 0.12);
  }
  &__video {
    width: 253px;
    height: 452px;
    border-radius: 5px;
    margin-left: 68px;
  }
  &__discrip {
    width: 100%;
    display: flex;
  }
  p {
    font-family: sofiapro-semibold, PingFangSC, sans-serif;
    font-weight: 700;
    font-size: 18px;
    line-height: 24px;
    margin-top: 0;
    margin-inline-start: 14px;
  }
}
</style>